Add a tip

POST <baseURL>/clients/tips

This request adds a tip for the delivery driver.

The client must capture the tip information from their own application.
It needs to validate and process any adjustments to the tip value prior to reporting it to Walmart GoLocal.
The amount can then be used in this request to report it to Walmart GoLocal.

Tips can be added any time from when the order is first placed up through an end time, which is typically 14 days after delivery completion.
Check with your Walmart Client Center administrator for details.

Walmart GoLocal cannot adjust, resubmit, or cancel a tip after being submitted through this request.

Tips must be greater than $0.00 and up to $100.

Walmart GoLocal uses this information for payouts and to calculate eligible discounts for monthly invoicing (as applicable).

Example

This example creates a $6.35 tip for the delivery defined with clientId of 2 and externalOrderId of 2855066270.

POST {baseURL}/clients/tips

Request body:

{ "clientId": "2", "externalOrderId": "10208877499-208925547882099", "tip": { "amount": 10.36, "currency": "USD" }
}

Response body:

There is no response object on a successful tip creation.

See Also

To retrieve tip details for a prior delivery or delivery driver, see POST /clients/tips/{clientId}/externalorder/{externalOrderId}.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Specifies tip details for a delivery.

Specifies the delivery destination address object.

string
required

Describes the client identifier associated with the client.

Example: 2

string
required

Describes the external order ID.

The externalOrderId is a value specified by the client at the time the order is placed.
This allows the client to customize the order number, such as to be consistent with their own numbering system, or to be easier to read.
The externalOrderId is different than the deliveryId, which is a value assigned by Walmart GoLocal at the
time the order is placed.
Regardless, the externalOrderId and deliveryId refer to the same delivery order.

Examples:

465-RMN-TU

APAL:1541:0154120240819032474

10208877499-208925547882099

tip
object
required

Specifies details for the tip amount.

Headers
string
required

Specifies the literal value for Bearer <authenticationToken>.

The authenticationToken is an access token representing a user’s valid authorization and authentication permissions.
See Authentication for additional information.

Example: Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz

uuid
required
length between 36 and 36

Specifies the value for the <consumer_id>.

This is the Client Consumer ID for the OAuth2 client credentials.
See the Walmart Client Center's Walmart administrator, client administrator, or development management for this value.

Example: 685f74bf-b8ca-447d-8338-966di751443f

string

Specifies the request log identifier.

This optional header can be any value.
Walmart GoLocal uses this value to log requests and error situations.

Examples:

2398

685f74bf-b8ca-447d-8338-966dd751445f

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!